__BLK_END_BIDI_REQUE(9)

NAME
__blk_end_bidi_request - Complete a bidi request with queue lock held

SYNOPSIS

bool __blk_end_bidi_request(struct request * rq, int error, unsigned int nr_bytes, unsigned int bidi_bytes);

ARGUMENTS

rq
    the request to complete

error
    0 for success, < 0 for error

nr_bytes
    number of bytes to complete rq

bidi_bytes
    number of bytes to complete rq->next_rq

DESCRIPTION

Identical to blk_end_bidi_request except that queue lock is assumed to be locked on entry and remains so on return.

RETURN

false - we are done with this request true - still buffers pending for this request

COPYRIGHT